/* eslint-disable @typescript-eslint/no-empty-interface */
// Generated code for namespace: org.accordproject.finance.loan@0.2.0

// imports
import {IDuration} from './org.accordproject.time@0.3.0';
import {ICurrencyCode,IDigitalCurrencyCode} from './org.accordproject.money@0.3.0';
import {IConcept} from './concerto@1.0.0';

// interfaces
export enum CurrencyType {
   MONETARY = 'MONETARY',
   CRYPTOMONETARY = 'CRYPTOMONETARY',
}

export interface IPaymentFrequency extends IConcept {
   periodMultiplier: number;
   period: IDuration;
}

export interface ILoan extends IConcept {
   instrumentId: string[];
   description?: string;
   currencyType: CurrencyType;
   currencyCode?: CurrencyCode;
   DigitalCurrencyCode?: DigitalCurrencyCode;
   exchangeId?: string[];
   clearanceSystem?: string;
   definition?: string;
   lien?: string;
   facilityType?: string;
   maturity: Date;
   creditAgreementDate: Date;
   tranche?: string;
}

